package com.cocos.aidl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import android.os.IBinder;
import android.os.Parcel;
import android.os.RemoteException;
import com.cocos.aidl.ICocosBinderFactory;
import com.cocos.aidl.ICocosBinderFactoryCallback;
import com.cocos.aidl.ICocosRemoteRender;

class Proxy implements ICocosBinderFactory {
  private IBinder mRemote;
  
  public static ICocosBinderFactory sDefaultImpl;
  
  Proxy(IBinder remote) {
    this.mRemote = remote;
  }
  
  public IBinder asBinder() {
    return this.mRemote;
  }
  
  public String getInterfaceDescriptor() {
    return "com.cocos.aidl.ICocosBinderFactory";
  }
  
  public boolean isValid() throws RemoteException {
    boolean _result;
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactory");
      boolean _status = this.mRemote.transact(1, _data, _reply, 0);
      if (!_status && ICocosBinderFactory.Stub.getDefaultImpl() != null)
        return ICocosBinderFactory.Stub.getDefaultImpl().isValid(); 
      _reply.readException();
      _result = (0 != _reply.readInt());
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
    return _result;
  }
  
  public void setFactoryCallback(ICocosBinderFactoryCallback cb) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactory");
      _data.writeStrongBinder((cb != null) ? cb.asBinder() : null);
      boolean _status = this.mRemote.transact(2, _data, _reply, 0);
      if (!_status && ICocosBinderFactory.Stub.getDefaultImpl() != null) {
        ICocosBinderFactory.Stub.getDefaultImpl().setFactoryCallback(cb);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void setClientOffscreenMode(boolean isOffscreenMode) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactory");
      _data.writeInt(isOffscreenMode ? 1 : 0);
      boolean _status = this.mRemote.transact(3, _data, _reply, 0);
      if (!_status && ICocosBinderFactory.Stub.getDefaultImpl() != null) {
        ICocosBinderFactory.Stub.getDefaultImpl().setClientOffscreenMode(isOffscreenMode);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void sendToScript(String eventName, String strArg, byte[] binArg, long tag) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactory");
      _data.writeString(eventName);
      _data.writeString(strArg);
      _data.writeByteArray(binArg);
      _data.writeLong(tag);
      boolean _status = this.mRemote.transact(4, _data, _reply, 0);
      if (!_status && ICocosBinderFactory.Stub.getDefaultImpl() != null) {
        ICocosBinderFactory.Stub.getDefaultImpl().sendToScript(eventName, strArg, binArg, tag);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void returnToScript(String strArg, byte[] binArg, long tag) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactory");
      _data.writeString(strArg);
      _data.writeByteArray(binArg);
      _data.writeLong(tag);
      boolean _status = this.mRemote.transact(5, _data, _reply, 0);
      if (!_status && ICocosBinderFactory.Stub.getDefaultImpl() != null) {
        ICocosBinderFactory.Stub.getDefaultImpl().returnToScript(strArg, binArg, tag);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public ICocosRemoteRender createInstance(String serviceFullClassName, String configName, String clientUuid) throws RemoteException {
    ICocosRemoteRender _result;
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactory");
      _data.writeString(serviceFullClassName);
      _data.writeString(configName);
      _data.writeString(clientUuid);
      boolean _status = this.mRemote.transact(6, _data, _reply, 0);
      if (!_status && ICocosBinderFactory.Stub.getDefaultImpl() != null)
        return ICocosBinderFactory.Stub.getDefaultImpl().createInstance(serviceFullClassName, configName, clientUuid); 
      _reply.readException();
      _result = ICocosRemoteRender.Stub.asInterface(_reply.readStrongBinder());
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
    return _result;
  }
  
  public void destroyInstance(ICocosRemoteRender instance) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosBinderFactory");
      _data.writeStrongBinder((instance != null) ? instance.asBinder() : null);
      boolean _status = this.mRemote.transact(7, _data, _reply, 0);
      if (!_status && ICocosBinderFactory.Stub.getDefaultImpl() != null) {
        ICocosBinderFactory.Stub.getDefaultImpl().destroyInstance(instance);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
}
